Package de.gebit.integrity.runner.callbacks

## Enum SuiteSkipReason

- java.lang.Object
- - java.lang.Enum<SuiteSkipReason>
  - - de.gebit.integrity.runner.callbacks.SuiteSkipReason

- All Implemented Interfaces:
    `Serializable`, `Comparable<SuiteSkipReason>`

      public enum SuiteSkipReason
      extends Enum<SuiteSkipReason>

  A number of reasons why a suite invocation in a script has been skipped.
  Author:
    Rene Schneider - initial API and implementation

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `SINGLE_RUN_EXECUTED` | The suite is a single-run suite and has already been invoked.
    `VARIANT_MISMATCH` | The call is only to be made for specific variants and the current variant is not matched.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SuiteSkipReason` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SuiteSkipReason[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VARIANT_MISMATCH

          public static final SuiteSkipReason VARIANT_MISMATCH

      The call is only to be made for specific variants and the current variant is not matched.

    - #### SINGLE_RUN_EXECUTED

          public static final SuiteSkipReason SINGLE_RUN_EXECUTED

      The suite is a single-run suite and has already been invoked.

  - ### Method Detail

    - #### values

          public static SuiteSkipReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SuiteSkipReason c : SuiteSkipReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SuiteSkipReason valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null